object FrmMain: TFrmMain
  Left = 578
  Top = 185
  BorderIcons = [biSystemMenu, biMinimize]
  BorderStyle = bsSingle
  Caption = 'BTFileStream Demo'
  ClientHeight = 240
  ClientWidth = 599
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnCreate = FormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object ImgXmas: TImage
    Left = 16
    Top = 32
    Width = 200
    Height = 146
  end
  object BtnLoadPicture: TButton
    Left = 112
    Top = 192
    Width = 105
    Height = 25
    Caption = 'Load Picture'
    TabOrder = 0
    OnClick = BtnLoadPictureClick
  end
  object Memo1: TMemo
    Left = 232
    Top = 16
    Width = 353
    Height = 209
    Lines.Strings = (
      '====================================================='
      'BTFileStream - A Windows API based synchron file stream class'
      '====================================================='
      ''
      'Motivation:'
      
        'The VCL TFiIestream class causes in some Delphi versions problem' +
        's'
      
        'on big filesizes and file sharing modes. BTFileStream do not hav' +
        'e '
      
        'this issues and provides a error handling close to the windows a' +
        'pi.'
      ''
      'Features:'
      '* 32- and 64bit filesizes'
      '* read-write network files'
      '* Ansi and Unicode File names'
      '* class error handling'
      '* system error handling'
      ''
      ''
      
        ' - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -' +
        ' - - - - - - - - - - - - - - - - - - - - - - -'
      
        '  BTFileStream                                                  ' +
        '          '
      
        ' - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -' +
        ' - - - - - - - - - - - - - - - - - - - - - - -'
      
        '  Copyright (c) 2002 - 2010 by Martin Offenwanger (www.dsplayer.' +
        'de)  '
      #9'    '
      
        ' - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -' +
        ' - - - - - - - - - - - - - - - - - - - - - - -'
      
        '  Mozilla Public License Version 1.1:                           ' +
        '          '
      
        ' - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -' +
        ' - - - - - - - - - - - - - - - - - - - - - - -'
      
        '  The contents of this file are used with permission, subject to' +
        ' the      '
      
        '  Mozilla Public License Version 1.1 (the "License"); you may   ' +
        '          '
      
        '  not use this file except in compliance with the License. You m' +
        'ay        '
      
        '  obtain a copy of the License at                               ' +
        '          '
      
        '  http://www.mozilla.org/MPL/MPL-1.1.html                       ' +
        '          '
      
        '                                                                ' +
        '          '
      
        '  Software distributed under the License is distributed on an   ' +
        '          '
      '  "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either '
      'express or          *'
      
        '  implied. See the License for the specific language governing  ' +
        '          '
      
        '  rights and limitations under the License.                     ' +
        '          '
      
        ' - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -' +
        ' - - - - - - - - - - - - - - - - - - - - - - -')
    ScrollBars = ssVertical
    TabOrder = 1
  end
  object BtnClear: TButton
    Left = 16
    Top = 192
    Width = 81
    Height = 25
    Caption = 'Clear'
    TabOrder = 2
    OnClick = BtnClearClick
  end
end
